import { createSelector } from 'reselect';
export var selectGlobal = function selectGlobal(state) {
  return state.global;
};
export var selectApp = function selectApp(state) {
  return selectGlobal(state).app;
};
export var getIsMobileOpen = function getIsMobileOpen() {
  return createSelector(selectApp, function (x) {
    return x.isMobileOpen;
  });
};
export var getIsSettingsOpen = function getIsSettingsOpen() {
  return createSelector(selectApp, function (x) {
    return x.isSettingsOpen;
  });
};